Standard Public Cloud Co - Get
Get details of an Azure Public Standard cloud connector.
GET https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/cloudconnectors/publicstandarddynamics/{id}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| project | path | true | string | The project identifier which uniquely identify your project in Evolution Platform. |
| id | path | true | string | The Cloud Connector Identifier which uniquely identify your Cloud connector in Evolution Platform. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | Cloud connector | Successful operation |
| Other Status Codes | Error response | Error response describing why the operation failed. |
Response fields
| Name | Type | Description |
|---|---|---|
| id | string (UUID) | Cloud connector identifier. |
| name | string | Cloud connector name. |
| state | string | Connector state: DESIGNING, DESIGNED, BOOKING, RESERVED, PROVISIONING, ACTIVE, STOPPING, SUSPENDING, INACTIVE, REPAIRING, TERMINATED, or ERROR. |
| projectId | string (UUID) | Identifier of the owning project. |
| bandwidth | integer (int32) | Cloud connector bandwidth. |
| maxBandwidth | integer (int32) | Maximum cloud connector bandwidth. |
| technicalVpn | string (UUID) | Associated network connector identifier. |
| azureCredential | string (UUID) | Azure credential identifier. |
| azureRegion | string | Azure region. |
| resourceGroup | string | Azure resource group name. |
| workflowExecution | string (UUID) | Most recent workflow execution identifier. |
| workflowExecution | string | Workflow status: CREATED, IN_PROGRESS, SUCCEEDED, FAILED, or CLEARED. |
| operationalStatus | string | Operational status: N/A, Up, Down, or Unknown. |
| lastTimeOperational | string (date-time) | Time when the operational status was last known. |
| customerPurchase | string | Customer purchase order number. |
| externalBilling | string | External billing reference. |
| primaryPop | string | Primary point-of-presence localization. |
| vnetName | string | Virtual network name. |
| azureGateway | string | Azure gateway subnet. |
| azureAsn | integer (int64) | Azure autonomous system number. |
| networkSide | integer (int64) | Network-side autonomous system number. |
| networkSide | string | Network-side gateway subnet. |
Security
Type: HTTP Bearer
Token format: JWT
Header: Authorization: Bearer YOUR_ACCESS_TOKEN
Examples
Request
GET https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/cloudconnectors/publicstandarddynamics/{id}
Response
HTTP 200
Content: application/json
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"state": "DESIGNED",
"projectId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"bandwidth": 0,
"technicalVpnId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"azureCredentialId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"primaryPopLocalization": "string",
"azureRegion": "string",
"resourceGroupName": "string",
"vnetName": "string",
"azureGatewaySubnet": "k",
"azureAsn": 0,
"networkSideAsn": 0,
"workflowExecutionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflowExecutionStatus": "CREATED",
"networkSideGatewaySubnet": "string"
}